List Charges - m3ter Documentation
List Charges
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/charges \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.m3ter.com/organizations/{orgId}/charges"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/charges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response Codes
- 200: Success
- 4XX: Client Error
- 5XX: Server Error
Example Response
{
"data": [
{
"id": "<string>",
"version": 123,
"name": "<string>",
"code": "<string>",
"accountId": "<string>",
"billDate": "2023-12-25",
"amount": 123,
"units": 123,
"unitPrice": 123,
"currency": "<string>",
"description": "<string>",
"entityId": "<string>",
"billId": "<string>",
"accountingProductId": "<string>",
"servicePeriodStartDate": "2023-11-07T05:31:56Z",
"servicePeriodEndDate": "2023-11-07T05:31:56Z",
"notes": "<string>",
"contractId": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"scheduleId": "<string>"
}
],
"nextToken": "<string>"
}
Authorizations
Authorization required in header: m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
Path Parameters
- orgId: string (required) - UUID of the organization
Query Parameters
- pageSize: integer
(required range: 1 <= x <= 200) - Number of Charges to retrieve per page - nextToken: string - nextToken for multi-page retrievals
- accountId: string - List Charge items for the Account UUID
- entityType: enum
- List Charge items for the EntityType (options: AD_HOC,BALANCE) - entityId: string - List Charge items for the Entity UUID
- billDate: string
- List Charge items for the Bill Date - ids: string - List of Charge UUIDs to retrieve
- scheduleId: string - List Charge items for the Schedule UUID
Response Example
{
"message": "<string>"
}